﻿@model ShowReceiverViewModel

@{
    var count = 1;
    Layout = "_Layout3";
}

<div id="showReceiver">
    <h2>Iformation for: @Model.UserName</h2>

    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Name</th>
                <th scope="col">Account</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var account in @Model.Accounts)
            {
                <tr>
                    <th scope="row">@(count++)</th>
                    <td>@account.NickName</td>
                    <td>@account.AccountNumber</td>
                    <td>
                        <a class="btn btn-outline-warning" 
                        asp-controller="Transaction" 
                        asp-action="Create" 
                        asp-route-id="@account.Id" 
                        asp-route-userId="@Model.Id" 
                        asp-route-senderAccountId="@ViewBag.SenderAccountId"
                        model="Get">Send money</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
